#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-LG0pdqwq8rNFl9anFObJV9
key:                  lsp-1.4.0.0-LG0pdqwq8rNFl9anFObJV9
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  9bf083818893e5a88608a6879a0e2538
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-1HBfvdd7q3RAhcHWWkwFWB:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-1HBfvdd7q3RAhcHWWkwFWB:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-1HBfvdd7q3RAhcHWWkwFWB:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-1HBfvdd7q3RAhcHWWkwFWB:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-LG0pdqwq8rNFl9anFObJV9
depends:
    aeson-2.1.2.1-7dcOSp8IaGA80HTLJplaly
    async-2.2.5-GhBzXJSWYyS3QxuWn9vF7I
    attoparsec-0.14.4-CxdihoEA1MA35vfkJWqytP base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-LSJh75QrCu1H2SWBLBb1YB exceptions-0.10.4
    hashable-1.4.3.0-3dqA7o3S1KBIuEdO2YDkYf
    hslogger-1.3.1.0-GvoQmZVucEbE0naRgkwDk2
    lens-5.2.3-DkzIxLtHfSJLg21UB57VeO
    lsp-types-1.4.0.1-1HBfvdd7q3RAhcHWWkwFWB mtl-2.2.2
    network-uri-2.6.4.2-BKzRgpHYeZQDpITqSEiK9b
    random-1.2.1.2-I9vy4QvkbAYGYkQawOWCQJ
    scientific-0.3.7.0-4N3HWbhhMZ4D2PBnQaMqAR
    sorted-list-0.2.2.0-5ShstD2c3IU87wx1crDSx6 stm-2.5.0.2 text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-CSp7eswk3xw8n1zllorsNO
    uuid-1.3.15-6OUgNyfentF6kVAwMbcBrc

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

